#
# spec file for package python-base58
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define skip_python2 1
%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-base58
Version:        2.1.1
Release:        1.14
Summary:        Base58 and Base58Check implementation
License:        MIT
Group:          Development/Languages/Python
URL:            https://github.com/keis/base58
Source:         https://files.pythonhosted.org/packages/source/b/base58/base58-%{version}.tar.gz
BuildRequires:  %{python_module PyHamcrest >= 2.0.2}
BuildRequires:  %{python_module pytest >= 4.6}
BuildRequires:  %{python_module pytest-benchmark}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires(post): update-alternatives
Requires(postun):update-alternatives
BuildArch:      noarch
%python_subpackages

%description
Base58 and Base58Check implementation compatible with what is used by the bitcoin network.

%prep
%setup -q -n base58-%{version}

%build
%python_build

%install
%python_install
%python_clone -a %{buildroot}%{_bindir}/base58
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest

%post
%python_install_alternative base58

%postun
%python_uninstall_alternative base58

%files %{python_files}
%doc README.md
%license COPYING
%python_alternative %{_bindir}/base58
%{python_sitelib}/*

%changelog
* Wed Nov  3 2021 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- Update to 2.1.1
  * Use github actions (@keis)
  * Escape illegal special characters in error message (@hukkin)
* Mon Aug 30 2021 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- Update to 2.1.0
  * Parametrise a few tests over alphabet (@keis)
  * Made it handle any base with passing alphabet. (#63) (@tanupoo)
  * Setup cfg (@keis)
  * Add support to ppc64le (@gururajrkatti)
  * Update README.md (@alloyxrp)
  * New alias for XRP alphabet (@alloyxrp)
  * Improve invalid character message (@keis)
  * Autofix for similar letters (@keis)
  * Add performance benchmarks using pytest-benchmark (@keis)
  * Performance optimizations (@kolomenkin)
- Update BuildRequires from setup.cfg
* Thu Jul 23 2020 John Vandenberg <jayvdb@gmail.com>
- Switched back to PyPI source now it has needed files
- Update to v2.0.1
  * Include license file in source distribution
  * Typecheck tests now that hamcrest has typing
  * Replace custom exception assert with hamcrest utils
* Wed May 27 2020 Petr Gajdos <pgajdos@suse.com>
- %%python3_only -> %%python_alternative
* Fri Jan 24 2020 d0p1 <contact@d0p1.eu>
- update to 2.0.0 (drop python 2 support)
* Wed Nov 20 2019 d0p1 <contact@d0p1.eu>
- Fix test.
- Using source from github (because of missing files like COPYING in pypi package).
* Wed Nov 20 2019 d0p1 <contact@d0p1.eu>
-  Initial package.
